%define anolis_release 3
%define byaccdate 20230219

Summary: Berkeley Yacc, a parser generator
Name: byacc
Version: 2.0.%{byaccdate}
Release: %{anolis_release}%{?dist}
License: Public Domain
URL: http://invisible-island.net/byacc/byacc.html
Source: https://invisible-island.net/archives/%{name}/%{name}-%{byaccdate}.tgz

BuildRequires: gcc
BuildRequires: make

%description
This package provides a parser generator utility that reads a grammar
specification from a file and generates an LR(1) parser for it.  The
parsers consist of a set of LALR(1) parsing tables and a driver
routine written in the C programming language.  It has a public domain
license which includes the generated C.

If you are going to do development on your system, you will want to install
this package.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n byacc-%{byaccdate}

# Revert default stack size back to 10000
find . -type f -name \*.c -print0 |
  xargs -0 sed -i 's/YYSTACKSIZE 500/YYSTACKSIZE 10000/g'

%build
%configure --disable-dependency-tracking
%make_build

%install
%make_install
ln -s yacc %{buildroot}%{_bindir}/byacc
ln -s yacc.1 %{buildroot}%{_mandir}/man1/byacc.1

%check
echo ====================TESTING=========================
%make_build check
echo ====================TESTING END=====================

%files
%license LICENSE
%{_bindir}/yacc
%{_bindir}/byacc
%{_mandir}/man1/yacc.1*
%{_mandir}/man1/byacc.1*

%files doc
%doc ACKNOWLEDGEMENTS CHANGES NEW_FEATURES NOTES NO_WARRANTY README

%changelog
* Thu Dec 14 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.20230219-3
- rebuild

* Mon Mar 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.20230219-2
- Del Specific Fields

* Tue Mar 7 2023 Funda Wang <fundawang@yeah.net> - 2.0.20230219-1
- Import package for anolis 23
